> ## Documentation Index
> Fetch the complete documentation index at: https://rollfi-monthly-semi-monthly.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# updateUserBankAccount

> 
The `updateUserBankAccount` API is used to change bank account details for employees.

### What it does:

- Updates bank account information (account number, routing number etc.)
- Allows users to change the deposit percentage of a secondary deposit account

### Note:

- When the deposit percentage is edited, the percentage change is added or subtracted from the primary deposit account.



## OpenAPI

````yaml put /userPortal#updateUserBankAccount
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /userPortal#updateUserBankAccount:
    put:
      tags: []
      summary: updateUserBankAccount
      description: >-

        The `updateUserBankAccount` API is used to change bank account details
        for employees.


        ### What it does:


        - Updates bank account information (account number, routing number etc.)

        - Allows users to change the deposit percentage of a secondary deposit
        account


        ### Note:


        - When the deposit percentage is edited, the percentage change is added
        or subtracted from the primary deposit account.
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: updateUserBankAccount
                  enum:
                    - updateUserBankAccount
                  example: updateUserBankAccount
                userPayAccountEntity:
                  type: object
                  properties:
                    userPayAccountEntityId:
                      type: string
                      format: uuid
                    accountNumber:
                      type: string
                      maxLength: 40
                    routingNumber:
                      type: string
                      maxLength: 25
                    bankName:
                      type: string
                      maxLength: 40
                    accountType:
                      type: string
                      maxLength: 40
                    accountName:
                      type: string
                      maxLength: 40
                    payPercentage:
                      type: number
                      title: Max allowed is 100 %
                  required:
                    - userPayAccountEntityId
              required:
                - method
                - userPayAccountEntity
            example:
              method: updateUserBankAccount
              userPayAccountEntity:
                userPayAccountEntityId: b2d51866-7f25-4571-a591-0f5fff62dddc
                bankName: Chase Bank
                accountName: Jacob
                accountType: savings
                accountNumber: '9999999999'
                routingNumber: '122238242'
                payPercentage: 50
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  userPayAccountEntity:
                    type: object
                    properties:
                      userPayAccountEntityId:
                        type: string
                      status:
                        type: string
                      message:
                        type: string
                    required:
                      - userPayAccountEntityId
                      - status
                    x--orders:
                      - CompanyFundingSourceEntityID
                      - Status
                      - Message
                required:
                  - userPayAccountEntity
                x--orders:
                  - CompanyFundingSourceEntity
              example:
                userPayAccountEntity:
                  userPayAccountEntityId: B2D51866-7F25-4571-A591-0F5FFF62DDDC
                  status: Ready
                  message: The User pay account Entity has been updated successfully.
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: integer
                        message:
                          type: string
                      required:
                        - code
                required:
                  - error
              example:
                error:
                  code: 400
                  message: Invalid UserPayAccountEntityId
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````